import 'package:flutter_test/flutter_test.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:twipe_flutter_core/twipe_flutter_core.dart';
import 'package:twipe_flutter_core/utils/test/test.dart';

import 'tester/cache/cache_handler_tester.dart';
import 'tester/collection_tester.dart';
import 'tester/crypt/crypt_tester.dart';
import 'tester/model_tester.dart';
import 'tester/seeder_tester.dart';

/// This will Test our Library
/// Run main Method for testing the Package
Future<void> main() async {
  /// Initialize Test Project
  TestWidgetsFlutterBinding.ensureInitialized();

  SharedPreferences.setMockInitialValues({});

  await TwipeFlutterCore.initialize(
      environmentFilePath: 'resources/env.env.example');

  /// Do Test
  await Test()
      .add(CollectionTester())
      .add(ModelTester())
      .add(SeederTester())
      .add(CacheHandlerTester())
      .add(CryptTester())
      .doTest(testTitle: 'Twipe Flutter Core Test:');
}
