import 'package:flutter_test/flutter_test.dart';
import 'package:twipe_flutter_core/utils/cache/cache_handler.dart';
import 'package:twipe_flutter_core/utils/cache/cache_object.dart';
import 'package:twipe_flutter_core/utils/test/tester.dart';

class CacheHandlerTester extends Tester {
  @override
  Future<bool> setup() async {
    return true;
  }

  @override
  Future<bool> clear() async {
    await CacheHandler.removeCacheObject('test');
    return true;
  }

  @override
  Map<String, dynamic> get tests => {
        'cacheHandlerCanSaveValue': cacheHandlerCanSaveValue,
      };

  Future<void> cacheHandlerCanSaveValue() async {
    String expectedStringValue = 'test_value';
    int expectedIntegerValue = 100;
    await CacheHandler.saveCacheObject(
        'test',
        CacheObject({
          'string': expectedStringValue,
          'int': expectedIntegerValue,
        }));
    CacheObject? cache = await CacheHandler.getCacheObject('test');
    expect(false, cache == null);
    if (cache == null) {
      return;
    }
    expect(expectedStringValue, cache.getStringValue('string'));
    expect(expectedIntegerValue, cache.getIntValue('int'));
  }
}
